AC(1)

NAVN
ac - vis statistik om brugernes tilslutningstid

SYNOPSIS

ac  [ -d | --daily-totals ] [ -y | --print-year ]
    [ -p | --individual-totals ] [ folk ]
    [ -f | --file filnavn ] [ -a | --all-days ]
    [ --complain ] [ --reboots ] [ --supplants ]
    [ --timewarps ] [ --compatibility ]
    [ --tw-leniency num ] [ --tw-suspicious num ]
    [ -z | --print-zeros ] [ --debug ]
    [ -V | --version ] [ -h | --help ]

BESKRIVELSE

ac viser en rapport over forbindelsestid (i timer) baseret på logind/logud i den aktuelle wtmp-fil. En i alt vises også.

Registreringsfilen wtmp vedligeholdes af init(8) og login(1). Hverken ac eller login opretter wtmp. Hvis denne ikke findes oprettes ingen registreringer. For at begynde registrering; opret filen med en længde på nul.

BEMÆRK: Filen wtmp kan blive meget stor rigtig hurtigt. Du bør nok formindske den en gang imellem.

GNU ac fungerer næsten på samme måde som UNIX ac, dog er programmet lidt smartere på flere områder. Du kan derfor forvente forskelle i resultatet af GNU ac og resultatet af ac's på andre systemer. Brug kommandoen info accounting for yderligere information.

TILVALG
-d, --daily-totals
    Vis i alt for hver dag frem for kun en samlet total i slutningen. Resultatet vil se således ud:
            jul 3 i alt 1.17
            jul 4 i alt 2.10
            jul 5 i alt 8.23
            jul 6 i alt 2.10
            jul 7 i alt 0.30
-p, --individual-totals
    Vis tidstotaler for hver bruger udover den gængse alt samlet i en værdi. Det ser således ud:
            bob 8.06
            goff 0.60
            maley 7.37
            root 0.12
            i alt 16.15
people
    Viser den samlede sum for forbindelsestid brugt af alle brugerne inkluderet i people. Bemærk at people er en mellemrumsadskilt liste over gyldige brugernavne; jokertegn er ikke tilladt.
-f, --file filnavn
    Læs fra filen filnavn i stedet for systemets wtmp-fil.
--complain
    Når filen wtmp har et problem (en tidsforskydning, manglende element eller noget andet), udskriv en passende fejlbesked.
--reboots
    Reboot-elementer skrives IKKE på tidspunktet for en genstart, men når systemet genstarter; derfor er det umuligt at vide præcis hvornår genstarten opstod. Brugere kan have været logget ind på systemet på tidspunktet for genstarten, og mange ac'er) tæller automatisk tiden mellem logind og genstartelementet mod brugeren (selvom ikke hele dette tidspunkt bør medtages, hvis for eksempel systemet er nede i lang tid). Hvis du ønsker at tælle dette tidspunkt, så inkluder flaget. *For vanilla ac-kompatibilitet, inkluder dette flag.*
--supplants
    Nogle gange skrives et log ud-element ikke for en specifik terminal, så tiden den sidste bruger anvendte kan ikke beregnes. Hvis du ønsker at inkludere tiden fra brugerens logind til det næste logind på terminalen (dog sandsynligvis ikke korrekt) så inkluder dette flag. *For vanilla ac-kompatibilitet, inkluder dette flag.*
--timewarps
    Nogle gange vil elementer i en wtmp-fil pludselig hoppe tilbage i tiden uden at et ur-ændringselement opstod. Det er umuligt at vide hvor lang tid en bruger var logget ind, når dette opstår. Hvis du ønsker at tælle tiden mellem logindet og tidsforskydningen mod brugere, så inkluder dette flag. For vanilla ac-kompatibilitet, inkluder dette flag.*
--compatibility
    Dette er en kort form for de tre ovenstående tilvalg.
-a, --all-days
    Hvis vi viser daglige totaler, så vis et element for hver dag i stedet for at udelade mellemliggende dage, hvor der ikke er logindaktivitet. Uden dette flag bliver tiden under disse mellemliggende dage vist under den næste dag, hvor der er logindaktivitet.
--tw-leniency num
    Angiv tidsforskydningsmildheden til num sekunder. Registreringer i wtmp-filer kan være en smule uden for rækkefølge (hovedsagelig når to logind sker indenfor en periode på et sekund - nr. 2 bliver skrevet først). Som standard er denne værdi sat til 60. Hvis programmer oplever dette problem, så tildeles tid ikke til brugere med mindre at flaget --timewarps bruges.
--tw-suspicious num
    Angiv mistænksomhedsværdien for tidsforskydning til num sekunder. Hvis to poster i wtmp-filen er længere væk end dette antal sekunder, så er der et problem med wtmp-filen (eller din maskine er ikke blevet brugt i et år). Hvis programmer oplever dette problem, så tildeles tid ikke til brugere med mindre flaget --timewarps bruges.
-y, --print-year
    Vis år når datoer anføres.
-z, --print-zeros
    Hvis en total for en kategori (gem den samlede total) er nul, så vis den. Standarden er at undertrykke visning.
--debug
    Vis uddybende intern information.
-V, --version
    Vis versionnummeret for ac på standardud og afslut.
-h, --help
    Vis brugsstrengen og standardplacering for systemfiler på standardud og afslut.

FILER
wtmp
    Den for systemet logindregistreringsfil. Se wtmp(5) for yderligere detaljer.

FORFATTER
GNU-registreringsredskaberne blev skrevet af Noel Cragg <noel@gnu.ai.mit.edu>. Manualsiden blev tilpasset fra registreringens texinfo-side af Susan Kleinmann <sgk@sgk.tiac.net>.

SE OGSÅ
login(1), wtmp(5), init(8), sa(8)

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>
Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.
Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.